Skip to main content
GET
/
sla
/
analytics
/
breach-heatmap
Get SLA breach heatmap
curl --request GET \
  --url https://api.open.cx/sla/analytics/breach-heatmap \
  --header 'Authorization: Bearer <token>'
{
  "timezone": "<string>",
  "data": [
    {
      "day_of_week": 3,
      "hour": 11,
      "breaches": 0
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

timezone
string
default:UTC
policy_id
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
team_id
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
channel
enum<string>
Available options:
web,
email,
phone_voice,
slack,
sms,
whatsapp,
instagram,
messenger,
api,
web_voice
agent_id
integer
Required range: -9007199254740991 <= x <= 9007199254740991

Response

Default Response

timezone
string
required
data
object[]
required